Loading...
Searching...
No Matches
Voice Class Reference

`#include <fevoices.h>`

## Public Member Functions

| Voice ()
feBufferTypes | Typ ()
void | Next ()

## Data Fields

Voice * | next
Voice * | prev
char * | filename
procinfo * | pi
void * | oldb
FILE * | files
char * | buffer
long | fptr
long | ftellptr
int | buff_size
int | start_lineno
int | curr_lineno
feBufferInputs | sw
char | ifsw
feBufferTypes | typ

## Detailed Description

Definition at line 58 of file fevoices.h.

## Constructor & Destructor Documentation

## Voice()

Voice::Voice | ( |  | ) |

inline

Definition at line 87 of file fevoices.h.

{ memset(this,0,sizeof(*this));}

## Member Function Documentation

## Next()

void Voice::Next | ( |  | ) |

Definition at line 94 of file fevoices.cc.

{
Voice *p=new Voice;
// OB: ???
// Hmm... when Singular is used as batch file
// then this voice is never freed
omMarkAsStaticAddr(p);
if (currentVoice != NULL)
{
currentVoice->curr_lineno=yylineno;
currentVoice->next=p;
}
p->prev=currentVoice;
currentVoice=p;
//PrintS("Next:");
}
p
int p
Definition cfModGcd.cc:4086
Voice::curr_lineno
int curr_lineno
Definition fevoices.h:76
Voice::next
Voice * next
Definition fevoices.h:61
Voice::Voice
Voice()
Definition fevoices.h:87
currentVoice
EXTERN_VAR Voice * currentVoice
Definition fevoices.h:92
yylineno
EXTERN_VAR int yylineno
Definition fevoices.h:45
NULL
#define NULL
Definition omList.c:12
omMarkAsStaticAddr
#define omMarkAsStaticAddr(A)
Definition xalloc.h:245

## Typ()

feBufferTypes Voice::Typ | ( |  | ) |

Definition at line 111 of file fevoices.cc.

{
switch(typ)
{
case BT_proc:
case BT_example:
case BT_file:
return typ;
default:
if (prev==NULL) return (feBufferTypes)0;
return prev->Typ();
}
}
Voice::prev
Voice * prev
Definition fevoices.h:62
Voice::typ
feBufferTypes typ
Definition fevoices.h:85
feBufferTypes
feBufferTypes
Definition fevoices.h:17
BT_example
@ BT_example
Definition fevoices.h:21
BT_proc
@ BT_proc
Definition fevoices.h:20
BT_file
@ BT_file
Definition fevoices.h:22

## Field Documentation

## buff_size

int Voice::buff_size

Definition at line 73 of file fevoices.h.

## buffer

char* Voice::buffer

Definition at line 69 of file fevoices.h.

## curr_lineno

int Voice::curr_lineno

Definition at line 76 of file fevoices.h.

## filename

char* Voice::filename

Definition at line 63 of file fevoices.h.

## files

FILE* Voice::files

Definition at line 67 of file fevoices.h.

## fptr

long Voice::fptr

Definition at line 70 of file fevoices.h.

## ftellptr

long Voice::ftellptr

Definition at line 71 of file fevoices.h.

## ifsw

char Voice::ifsw

Definition at line 80 of file fevoices.h.

## next

Voice* Voice::next

Definition at line 61 of file fevoices.h.

## oldb

void* Voice::oldb

Definition at line 65 of file fevoices.h.

## pi

procinfo* Voice::pi

Definition at line 64 of file fevoices.h.

## prev

Voice* Voice::prev

Definition at line 62 of file fevoices.h.

## start_lineno

int Voice::start_lineno

Definition at line 75 of file fevoices.h.

## sw

feBufferInputs Voice::sw

Definition at line 77 of file fevoices.h.

## typ

feBufferTypes Voice::typ

Definition at line 85 of file fevoices.h.

The documentation for this class was generated from the following files:

- Singular/fevoices.h
- Singular/fevoices.cc